@charset "utf-8";
/* CSS Document */


.base-timer {
  position: relative;
  width: 90px;
  height: 90px;
  margin-top:10px;

}

.base-timer__svg {
  transform: scaleX(-1);
}

.base-timer__circle {
  fill: none;
  stroke: none;
}

.base-timer__path-elapsed {
  stroke-width: 0px;
  stroke: grey;
  background:#0FE500;
}

.base-timer__path-remaining {
  stroke-width: 10px;
  background:#FFCC00;
  stroke-linecap: round;
  transform: rotate(90deg);
  transform-origin: center;
  transition: 1s linear all;
  fill-rule: nonzero;
  stroke: currentColor;
}

.base-timer__path-remaining.green {
  color: #0FE500;
  background:#0FE500;
}

.base-timer__path-remaining.orange {
  color: orange;
}

.base-timer__path-remaining.red {
  color: red;
}

.base-timer__label {
  position: absolute;
  width:90px;
  height: 90px;
  top: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 28px;
  color:#fff;
}



@media (max-width: 768px) { 
  .base-timer__label, .base-timer {
    width:70px !important;
    height:70px !important; 
    font-size:20px;
  }
}